---------------------------------------------------------------------------------------
local PREFIX_PATH = "Data/Textures/Scenes/07_Cantellos_shop/Anim/Cantello_Laura_figure/"
---------------------------------------------------------------------------------------
createCompositiongirl = nil
---------------------------------------------------------------------------------------
createCompositiongirl = function()
	local compositiongirl = CreateCompositionSequence()
	local compositionDuration = 4
	compositiongirl:setDuration(compositionDuration)
	compositiongirl:setName("compositiongirl" )
	compositiongirl:setBoundingBox( Rectanglef(0, 0, 1366,768) )
 
	local element
	local effector
 
	-- Layer OL.png/1
	element = CreateCompositionElement(PREFIX_PATH.."OL.png")
	element:setName("OL.png/1")
	compositiongirl:addElement(element)
	element:setHotSpot(223, 159)
	element:setParentElement(compositiongirl)
	element:setXY(440, 439)
 
 
	effector = element:getEffector()
	effector:setLifeTime(0, 4)
	effector:play()
 
 
	-- Layer leeve_l_r.png/2
	element = CreateCompositionElement(PREFIX_PATH.."leeve_l_r.png")
	element:setName("leeve_l_r.png/2")
	compositiongirl:addElement(element)
	element:setHotSpot(12, 3.5)
	compositiongirl:registerParentInfo("leeve_l_r.png/2", "body_g.png/7")
	element:setXY(18.9262359188202, 29.0013607478266)
 
	element:setRotationRad(-0.03689040735092)
 
	effector = element:getEffector()
	effector:setLifeTime(0, 4)
	effector:play()
 
 
	-- Layer arm_r_new_g.png/3
	element = CreateCompositionElement(PREFIX_PATH.."arm_r_new_g.png")
	element:setName("arm_r_new_g.png/3")
	compositiongirl:addElement(element)
	element:setHotSpot(17, 56)
	compositiongirl:registerParentInfo("arm_r_new_g.png/3", "leeve_l_r.png/2")
	element:setXY(7, 95)
 
 
	effector = element:getEffector()
	effector:setLifeTime(0, 4)
	effector:play()
 
 
	-- Layer close_eyes_g.png/4
	element = CreateCompositionElement(PREFIX_PATH.."close_eyes_g.png")
	element:setName("close_eyes_g.png/4")
	compositiongirl:addElement(element)
	element:setHotSpot(16, 7)
	compositiongirl:registerParentInfo("close_eyes_g.png/4", "fase_g.png/5")
	element:setXY(30, 29.5)
 
 
	effector = element:getEffector()
	effector:setLifeTime(0, 4)
	effector:setKey(_TRACK_O, 0, 0)
	effector:setKey(_TRACK_O, 2.16666666666667, 0)
	effector:setKey(_TRACK_O, 2.20833333333333, 1)
	effector:setKey(_TRACK_O, 2.25, 1)
	effector:setKey(_TRACK_O, 2.29166666666667, 0)
	effector:setKey(_TRACK_O, 3.95833333333333, 0)
	effector:play()
 
 
	-- Layer fase_g.png/5
	element = CreateCompositionElement(PREFIX_PATH.."fase_g.png")
	element:setName("fase_g.png/5")
	compositiongirl:addElement(element)
	element:setHotSpot(28, 49)
	compositiongirl:registerParentInfo("fase_g.png/5", "body_g.png/7")
 
	effector = element:getEffector()
	effector:setLifeTime(0, 4)
	effector:setKey(_TRACK_X, 0, 52)
	effector:setKey(_TRACK_Y, 0, 14)
	effector:setKey(_TRACK_X, 1.45833333333333, 52)
	effector:setKey(_TRACK_Y, 1.45833333333333, 14)
	effector:setKey(_TRACK_X, 3.75, 52)
	effector:setKey(_TRACK_Y, 3.75, 14)
	effector:setKey(_TRACK_X, 3.95833333333333, 52)
	effector:setKey(_TRACK_Y, 3.95833333333333, 14)
	effector:setKey(_TRACK_SX, 0, 1)
	effector:setKey(_TRACK_SY, 0, 1)
	effector:setKey(_TRACK_SX, 1.45833333333333, 1)
	effector:setKey(_TRACK_SY, 1.45833333333333, 1)
	effector:setKey(_TRACK_SX, 3.75, 1)
	effector:setKey(_TRACK_SY, 3.75, 1)
	effector:setKey(_TRACK_SX, 3.95833333333333, 1)
	effector:setKey(_TRACK_SY, 3.95833333333333, 1)
	effector:setKey(_TRACK_A, 0, 0)
	effector:setKey(_TRACK_A, 1.45833333333333, 0)
	effector:setKey(_TRACK_A, 2.08333333333333, 0.05097316375874)
	effector:setKey(_TRACK_A, 2.95833333333333, 0.05097316375874)
	effector:setKey(_TRACK_A, 3.75, 0)
	effector:setKey(_TRACK_A, 3.95833333333333, 0)
	effector:setKey(_TRACK_O, 0, 1)
	effector:setKey(_TRACK_O, 1.45833333333333, 1)
	effector:setKey(_TRACK_O, 3.75, 1)
	effector:setKey(_TRACK_O, 3.95833333333333, 1)
	effector:play()
 
 
	-- Layer hair_g.png/6
	element = CreateCompositionElement(PREFIX_PATH.."hair_g.png")
	element:setName("hair_g.png/6")
	compositiongirl:addElement(element)
	element:setHotSpot(30.5, 0.5)
	compositiongirl:registerParentInfo("hair_g.png/6", "fase_g.png/5")
	element:setXY(31, 31.5)
 
 
	effector = element:getEffector()
	effector:setLifeTime(0, 4)
	effector:play()
 
 
	-- Layer body_g.png/7
	element = CreateCompositionElement(PREFIX_PATH.."body_g.png")
	element:setName("body_g.png/7")
	compositiongirl:addElement(element)
	element:setHotSpot(57.5, 141)
	element:setParentElement(compositiongirl)
 
	effector = element:getEffector()
	effector:setLifeTime(0, 4)
	effector:setKey(_TRACK_X, 0, 371.5)
	effector:setKey(_TRACK_Y, 0, 419)
	effector:setKey(_TRACK_X, 0.5, 371.5)
	effector:setKey(_TRACK_Y, 0.5, 419)
	effector:setKey(_TRACK_X, 1.41666666666667, 371.5)
	effector:setKey(_TRACK_Y, 1.41666666666667, 419)
	effector:setKey(_TRACK_X, 2.70833333333333, 371.5)
	effector:setKey(_TRACK_Y, 2.70833333333333, 419)
	effector:setKey(_TRACK_X, 3.45833333333333, 371.5)
	effector:setKey(_TRACK_Y, 3.45833333333333, 419)
	effector:setKey(_TRACK_X, 3.95833333333333, 371.5)
	effector:setKey(_TRACK_Y, 3.95833333333333, 419)
	effector:setKey(_TRACK_SX, 0, 1)
	effector:setKey(_TRACK_SY, 0, 1)
	effector:setKey(_TRACK_SX, 0.5, 1)
	effector:setKey(_TRACK_SY, 0.5, 1)
	effector:setKey(_TRACK_SX, 1.41666666666667, 1)
	effector:setKey(_TRACK_SY, 1.41666666666667, 1)
	effector:setKey(_TRACK_SX, 2.70833333333333, 1)
	effector:setKey(_TRACK_SY, 2.70833333333333, 1)
	effector:setKey(_TRACK_SX, 3.45833333333333, 1)
	effector:setKey(_TRACK_SY, 3.45833333333333, 1)
	effector:setKey(_TRACK_SX, 3.95833333333333, 1)
	effector:setKey(_TRACK_SY, 3.95833333333333, 1)
	effector:setKey(_TRACK_A, 0, 0)
	effector:setKey(_TRACK_A, 0.5, 0)
	effector:setKey(_TRACK_A, 1.41666666666667, 0.0122777259546)
	effector:setKey(_TRACK_A, 2.70833333333333, 0.0122777259546)
	effector:setKey(_TRACK_A, 3.45833333333333, 0)
	effector:setKey(_TRACK_A, 3.95833333333333, 0)
	effector:setKey(_TRACK_O, 0, 1)
	effector:setKey(_TRACK_O, 0.5, 1)
	effector:setKey(_TRACK_O, 1.41666666666667, 1)
	effector:setKey(_TRACK_O, 2.70833333333333, 1)
	effector:setKey(_TRACK_O, 3.45833333333333, 1)
	effector:setKey(_TRACK_O, 3.95833333333333, 1)
	effector:play()
 
 
	-- Layer leeve_l_l.png/8
	element = CreateCompositionElement(PREFIX_PATH.."leeve_l_l.png")
	element:setName("leeve_l_l.png/8")
	compositiongirl:addElement(element)
	element:setHotSpot(9, 5.5)
	compositiongirl:registerParentInfo("leeve_l_l.png/8", "body_g.png/7")
 
	effector = element:getEffector()
	effector:setLifeTime(0, 4)
	effector:setKey(_TRACK_X, 0, 83)
	effector:setKey(_TRACK_Y, 0, 31.5)
	effector:setKey(_TRACK_X, 3.95833333333333, 83)
	effector:setKey(_TRACK_Y, 3.95833333333333, 31.5)
	effector:setKey(_TRACK_SX, 0, 1)
	effector:setKey(_TRACK_SY, 0, 1)
	effector:setKey(_TRACK_SX, 3.95833333333333, 1)
	effector:setKey(_TRACK_SY, 3.95833333333333, 1)
	effector:setKey(_TRACK_A, 0, 0)
	effector:setKey(_TRACK_A, 1, 0.02419928614446)
	effector:setKey(_TRACK_A, 1.66666666666667, 0.02419928614446)
	effector:setKey(_TRACK_A, 2.45833333333333, 0)
	effector:setKey(_TRACK_A, 3.20833333333333, 0)
	effector:setKey(_TRACK_A, 3.95833333333333, 0)
	effector:setKey(_TRACK_O, 0, 1)
	effector:setKey(_TRACK_O, 3.95833333333333, 1)
	effector:play()
 
 
	-- Layer arm_l_g.png/9
	element = CreateCompositionElement(PREFIX_PATH.."arm_l_g.png")
	element:setName("arm_l_g.png/9")
	compositiongirl:addElement(element)
	element:setHotSpot(10, 9)
	compositiongirl:registerParentInfo("arm_l_g.png/9", "leeve_l_l.png/8")
	element:setXY(8, 43)
 
 
	effector = element:getEffector()
	effector:setLifeTime(0, 4)
	effector:play()
 
	compositiongirl:play()
 
	return compositiongirl
end
 
